Page MenuHomePhabricator

Blockautopromote entries have hardcoded and localised duration in the DB
Closed, ResolvedPublic

Description

This was introduced with rEABF2bdb44d58b0c3b30696e6b0ff9132d2b1837388d and changed with rEABF27578d7ba00c44d480014341d5c456909797c1fa in the last weeks. Unfortunately, I didn't realize that I ended up hardcoding the localised duration in the DB. Changing new entries is trivial, while fixing the old ones isn't too easy. I'm going to send a patch for that, including a maintenance script. The patch should be merged ASAP to avoid further breakage, then we should run the script for old entries.

Details

Related Gerrit Patches:
mediawiki/extensions/AbuseFilter : masterRemove script for blockautopromote entries
mediawiki/extensions/AbuseFilter : masterDon't hardcode blockautopromote duration

Event Timeline

Daimona created this task.Aug 24 2019, 9:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2019, 9:27 AM
Daimona triaged this task as High priority.Aug 24 2019, 9:27 AM

Change 532059 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Don't hardcode blockautopromote duration

https://gerrit.wikimedia.org/r/532059

Change 532059 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Don't hardcode blockautopromote duration

https://gerrit.wikimedia.org/r/532059

Daimona removed a project: Patch-For-Review.

Waiting for the script run, and then the removal of the script from the codebase before resolving.

Daimona claimed this task.Aug 24 2019, 1:05 PM
Urbanecm changed the task status from Open to Stalled.Sep 1 2019, 5:18 PM

Change 535159 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Remove script for blockautopromote entries

https://gerrit.wikimedia.org/r/535159

Daimona changed the task status from Stalled to Open.Sep 9 2019, 11:58 AM

Change 535159 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Remove script for blockautopromote entries

https://gerrit.wikimedia.org/r/535159

Daimona closed this task as Resolved.Sep 10 2019, 8:23 AM
Daimona removed a project: Patch-For-Review.